ion-content {
    height: 100%;
    --background: darkblue no-repeat center center / cover;

    ion-grid {
        height: 100%;
    }
}

:root {
    --height-logo: 30vh;
    --padding-top-logo: 15vh;
    --height-welcomeoff: 10vh;
    --padding-top-welcomeoff: 3vh;
    --height-form: 50vh;
}

#logo {
    height: var(--height-logo);
    width: 100%;
    padding-top: var(--padding-top-logo);
    text-align: center;

    img {
        width: 90px;
    }
}

#welcome {
    height: 20vh;
    padding-top: 5vh;
    width: 100%;
    text-align: center;

    p {
        margin-block-end: 2vh;
        font-size: 10pt;
        color: #fff;
    }

    h1 {
        font-size: 16pt;
        color: #fff;
        margin-top: 0;
        margin-block-start: 0;
    }
}

#welcomeOff {
    height: var(--height-welcomeoff);
    padding-top: var(--padding-top-welcomeoff);
    width: 100%;
    text-align: center;
    p {
        margin-block-end: 2vh;
        font-size: 14pt;
        color: #fff;
    }
}

#btn {
    height: 40vh;
    width: 100%;
    text-align: center;

    ion-button {
        color: #fff;
        font-size: 12pt;
        text-transform: none;
        --border-radius: 50px;
        --border-color: #fff;
        --border-width: 1px;
        --padding-start: 15vw;
        --padding-end: 15vw;
        --padding-top: 2em;
        --padding-bottom: 2em;
        display: block;
        width: 30em;
        max-width: 90vw;
        margin: 30px auto;
    }
}

#form {
    height: var(--height-form);
    text-align: center;
    padding-top: 3vh;
    margin: auto;

    ion-card {
        width: 85%;
        align-self: auto;
        --background: #fff;
        margin: auto;

        ion-card-content {
            font-size: 14px;
            padding-top: 3vh;
            padding-bottom: 3vh;
        }
    }

    input {
        width: 100%;
        border: none;
        border-bottom: 1px solid #ccc;
        padding: 0.75em 0 0.25em 0;
        color: darkblue;
        font-size: 11pt;
    }

    input:focus {
        outline: none;
        border: none;
        border-bottom: 1px solid #407ffd;
    }

    p {
        height: 5vh;
        color: #ff4400;
        font-size: 10pt;
        padding: 1vh;
        margin: 0;
    }

    ion-button {
        color: #fff;
        font-size: 14pt;
        font-weight: bold;
        text-transform: none;
    }

    #btnBack {
        padding: 15px;
        color: #fff;

        p {
            display: block;
            width: fit-content;
            margin: auto;
            color: #fff;

            ion-icon {
                display: inline-block;
                vertical-align: middle;
            }
            span {
                display: inline-block;
                vertical-align: middle;
                padding-right: 5px;
            }
        }
    }
}

#signin {
    height: 8vh;
    width: 100%;
    text-align: center;
    color: #fff;

    a {
        color: #fff;
        font-weight: bold;
        text-decoration: underline;
    }
}

.loading {
    display: block;
    width: 100%;
    text-align: center;
}
